<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="Data Driven" time="23.357" tests="3" failures="0" errors="0">
   <testsuite name="Data Driven" tests="3" failures="0" errors="0" time="23.357" skipped="0" timestamp="2023-08-01 09:29:15" hostname="rizky - rizkyisya" id="Test Suites/Data Driven">
      <properties>
         <property name="deviceName" value=""/>
         <property name="devicePlatform" value=""/>
         <property name="logFolder" value="C:\\Users\\rizky\\git\\katalonupload_dailytask\\Reports\\20230801_092912\\Data Driven\\20230801_092913"/>
         <property name="logFiles" value="C:\\Users\\rizky\\git\\katalonupload_dailytask\\Reports\\20230801_092912\\Data Driven\\20230801_092913\\execution0.log"/>
         <property name="attachments" value=""/>
         <property name="hostName" value="rizky - rizkyisya"/>
         <property name="os" value="Windows 11 64bit"/>
         <property name="katalonVersion" value="8.6.5.208"/>
         <property name="browser" value="Chrome 115.0.0.0"/>
         <property name="hostAddress" value="192.168.1.2"/>
         <property name="sessionId" value="0df6ef207b2d5666b8a4eac38dfba43f"/>
         <property name="seleniumVersion" value="3.141.59"/>
         <property name="proxyInformation" value="ProxyInformation { proxyOption=NO_PROXY, proxyServerType=HTTP, username=, password=********, proxyServerAddress=, proxyServerPort=0, executionList=&quot;&quot;, isApplyToDesiredCapabilities=true }"/>
         <property name="platform" value="Windows 11"/>
      </properties>
      <testcase name="Test Cases/Data Driven" time="9.801" classname="Test Cases/Data Driven" status="PASSED">
         <system-out><![CDATA[2023-08-01 09:29:15 - [TEST_CASE][PASSED] - Test Cases/Data Driven: Test Cases/Data Driven

2023-08-01 09:29:15 - [TEST_STEP][PASSED] - openBrowser("http://the-internet.herokuapp.com/upload"): Browser is opened with url: 'http://the-internet.herokuapp.com/upload'

2023-08-01 09:29:16 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-08-01 09:29:16 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-08-01 09:29:21 - [MESSAGE][PASSED] - Browser is opened with url: 'http://the-internet.herokuapp.com/upload'

2023-08-01 09:29:21 - [TEST_STEP][PASSED] - uploadFile(findTestObject("Capture2/Page_The Internet/input_File Uploader_file"), File_Path): File 'C:\Users\rizky\OneDrive\Pictures\test img\tes_img_1.jpg' sent to object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file'

2023-08-01 09:29:23 - [MESSAGE][PASSED] - File 'C:\Users\rizky\OneDrive\Pictures\test img\tes_img_1.jpg' sent to object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file'

2023-08-01 09:29:23 - [TEST_STEP][PASSED] - click(findTestObject("Capture2/Page_The Internet/input_File Uploader_file-submit"), STOP_ON_FAILURE): Object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file-submit' is clicked on

2023-08-01 09:29:24 - [MESSAGE][PASSED] - Object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file-submit' is clicked on

2023-08-01 09:29:24 - [TEST_STEP][PASSED] - verifyElementText(findTestObject("Object Repository/Capture1/Page_The Internet/h3_File Uploaded"), "File Uploaded!"): Actual text and expected text of test object 'Object Repository/Capture1/Page_The Internet/h3_File Uploaded' are matched.

2023-08-01 09:29:24 - [MESSAGE][PASSED] - Actual text and expected text of test object 'Object Repository/Capture1/Page_The Internet/h3_File Uploaded' are matched.

2023-08-01 09:29:24 - [TEST_STEP][PASSED] - closeBrowser(): Browser is closed

2023-08-01 09:29:25 - [MESSAGE][PASSED] - Browser is closed]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/Data Driven" time="7.085" classname="Test Cases/Data Driven" status="PASSED">
         <system-out><![CDATA[2023-08-01 09:29:25 - [TEST_CASE][PASSED] - Test Cases/Data Driven: Test Cases/Data Driven

2023-08-01 09:29:25 - [TEST_STEP][PASSED] - openBrowser("http://the-internet.herokuapp.com/upload"): Browser is opened with url: 'http://the-internet.herokuapp.com/upload'

2023-08-01 09:29:25 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-08-01 09:29:25 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-08-01 09:29:29 - [MESSAGE][PASSED] - Browser is opened with url: 'http://the-internet.herokuapp.com/upload'

2023-08-01 09:29:29 - [TEST_STEP][PASSED] - uploadFile(findTestObject("Capture2/Page_The Internet/input_File Uploader_file"), File_Path): File 'C:\Users\rizky\OneDrive\Pictures\test img\tes_img_2.jpg' sent to object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file'

2023-08-01 09:29:29 - [MESSAGE][PASSED] - File 'C:\Users\rizky\OneDrive\Pictures\test img\tes_img_2.jpg' sent to object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file'

2023-08-01 09:29:29 - [TEST_STEP][PASSED] - click(findTestObject("Capture2/Page_The Internet/input_File Uploader_file-submit"), STOP_ON_FAILURE): Object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file-submit' is clicked on

2023-08-01 09:29:31 - [MESSAGE][PASSED] - Object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file-submit' is clicked on

2023-08-01 09:29:31 - [TEST_STEP][PASSED] - verifyElementText(findTestObject("Object Repository/Capture1/Page_The Internet/h3_File Uploaded"), "File Uploaded!"): Actual text and expected text of test object 'Object Repository/Capture1/Page_The Internet/h3_File Uploaded' are matched.

2023-08-01 09:29:31 - [MESSAGE][PASSED] - Actual text and expected text of test object 'Object Repository/Capture1/Page_The Internet/h3_File Uploaded' are matched.

2023-08-01 09:29:31 - [TEST_STEP][PASSED] - closeBrowser(): Browser is closed

2023-08-01 09:29:32 - [MESSAGE][PASSED] - Browser is closed]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/Data Driven" time="6.261" classname="Test Cases/Data Driven" status="PASSED">
         <system-out><![CDATA[2023-08-01 09:29:32 - [TEST_CASE][PASSED] - Test Cases/Data Driven: Test Cases/Data Driven

2023-08-01 09:29:32 - [TEST_STEP][PASSED] - openBrowser("http://the-internet.herokuapp.com/upload"): Browser is opened with url: 'http://the-internet.herokuapp.com/upload'

2023-08-01 09:29:32 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-08-01 09:29:32 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-08-01 09:29:36 - [MESSAGE][PASSED] - Browser is opened with url: 'http://the-internet.herokuapp.com/upload'

2023-08-01 09:29:36 - [TEST_STEP][PASSED] - uploadFile(findTestObject("Capture2/Page_The Internet/input_File Uploader_file"), File_Path): File 'C:\Users\rizky\OneDrive\Pictures\test img\tes_img_3.jpg' sent to object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file'

2023-08-01 09:29:36 - [MESSAGE][PASSED] - File 'C:\Users\rizky\OneDrive\Pictures\test img\tes_img_3.jpg' sent to object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file'

2023-08-01 09:29:36 - [TEST_STEP][PASSED] - click(findTestObject("Capture2/Page_The Internet/input_File Uploader_file-submit"), STOP_ON_FAILURE): Object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file-submit' is clicked on

2023-08-01 09:29:37 - [MESSAGE][PASSED] - Object: 'Object Repository/Capture2/Page_The Internet/input_File Uploader_file-submit' is clicked on

2023-08-01 09:29:37 - [TEST_STEP][PASSED] - verifyElementText(findTestObject("Object Repository/Capture1/Page_The Internet/h3_File Uploaded"), "File Uploaded!"): Actual text and expected text of test object 'Object Repository/Capture1/Page_The Internet/h3_File Uploaded' are matched.

2023-08-01 09:29:38 - [MESSAGE][PASSED] - Actual text and expected text of test object 'Object Repository/Capture1/Page_The Internet/h3_File Uploaded' are matched.

2023-08-01 09:29:38 - [TEST_STEP][PASSED] - closeBrowser(): Browser is closed

2023-08-01 09:29:38 - [MESSAGE][PASSED] - Browser is closed]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <system-out><![CDATA[2023-08-01 09:29:15 - [TEST_SUITE][PASSED] - Data Driven: Test Cases/Data Driven]]></system-out>
      <system-err><![CDATA[]]></system-err>
   </testsuite>
</testsuites>
